<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("conexion/$VpnEn.php");

$Cve_Modulo = "CMOD201506100189";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 1 - Dashboard
		$sqlP1DB = mysql_query("select COLOR_FRONTEND from dashboard_perfiles where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlP1DB)==0) echo "";
		else{
		$registroP1DB=mysql_fetch_array($sqlP1DB);
		}
		if (mysql_numrows($sqlP1DB)>0)
		{
		$ColFront=$registroP1DB["COLOR_FRONTEND"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select TIEMPO_INACTIVIDAD,DIAS_DISPONIBLES,TITULO_PAGINA from dashboard_config where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		$DiasDisp=$registroC1["DIAS_DISPONIBLES"];
		$TituPagi=$registroC1["TITULO_PAGINA"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesionesdb where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
						
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
			///Determinar si la Licencia aán esta Vigente
			$FechaLic=date("Y/m/d"); 
			if ($DiasDisp < $FechaLic)
			{
				echo "<script>alert('ATENCIÓN:\\n\\nTe informamos que tu licencia a expirado, serás redireccionado a la pagina indicada para que puedas continuar con el proceso de Actualización.\\n\\nAgradecemos tu comprensión.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=UpdateLicense.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ///Inicia IF Vencimiento de Licencia

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Monitoreo de Productividad Diaria en Devoluciones --> Dashboard Operativo | Dextra Logistica</title>
<link rel="shortcut icon" href="http://www.logsyswms.com/images/LIcon.ico">           
</head>
<body>

<Br><Br><Br><Br>

<?PHP

///Eliminar los Registros Temporales
	$sqlEU= mysql_query("DELETE FROM dashboard_kpi10 WHERE USUARIO_GEN='$UsuEn'");

///Hora y Fecha
$Hora=time();
$HoraOK=date("H:i:s",$Hora);
$Fecha=date("Y/m/d");

$Fe_CuartaSemana = date('Y/m/d', strtotime('-1 week')) ; // resta 1 semana
$Fe_TercerSemana = date('Y/m/d', strtotime('-2 week')) ; // resta 2 semanas
$Fe_SegundSemana = date('Y/m/d', strtotime('-3 week')) ; // resta 3 semanas
$Fe_PrimerSemana = date('Y/m/d', strtotime('-4 week')) ; // resta 4 semanas

////Calcular Recibo de Semana 4
	$sql_FRS4 = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Recibo_S4 FROM tabla_documentos INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_documentos.no_documento ) WHERE tabla_documentos.ESTADO_DOCUMENTO =  'CERRADO' AND tabla_documentos.CVE_CUENTA='$CveCueCR1' AND FECHA_CIE Between '$Fe_CuartaSemana' AND '$Fecha'");
	if (mysql_numrows($sql_FRS4)==0) echo "";
	else{
	$registro_FRS4=mysql_fetch_array($sql_FRS4);
	}
	if (mysql_numrows($sql_FRS4)>0)
	{
	$TotRecSem4_FRS4=$registro_FRS4["Recibo_S4"];
	}
	
	if ($TotRecSem4_FRS4 == "")
		{
			$TotRecSem4_FRS4="0";
		}

	///Guardar Registros
	$sql_GuFRS4 = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
	values('Recibo','4','$Fe_CuartaSemana - $Fecha','$TotRecSem4_FRS4','$UsuEn','$Fecha','$HoraOK')");
	
////Calcular Recibo de Semana 3

$sql_FRS3 = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Recibo_S3 FROM tabla_documentos INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_documentos.no_documento ) WHERE tabla_documentos.ESTADO_DOCUMENTO =  'CERRADO' AND tabla_documentos.CVE_CUENTA='$CveCueCR1' AND FECHA_CIE Between '$Fe_TercerSemana' AND '$Fe_CuartaSemana'");
	if (mysql_numrows($sql_FRS3)==0) echo "";
	else{
	$registro_FRS3=mysql_fetch_array($sql_FRS3);
	}
	if (mysql_numrows($sql_FRS3)>0)
	{
	$TotRecSem3_FRS3=$registro_FRS3["Recibo_S3"];
	}
	
	if ($TotRecSem3_FRS3 == "")
		{
			$TotRecSem3_FRS3="0";
		}

	///Guardar Registros
	$sql_GuFRS3 = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
	values('Recibo','3','$Fe_TercerSemana - $Fe_CuartaSemana','$TotRecSem3_FRS3','$UsuEn','$Fecha','$HoraOK')");
		
////Calcular Recibo de Semana 2

$sql_FRS2 = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Recibo_S2 FROM tabla_documentos INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_documentos.no_documento ) WHERE tabla_documentos.ESTADO_DOCUMENTO =  'CERRADO' AND tabla_documentos.CVE_CUENTA='$CveCueCR1' AND FECHA_CIE Between '$Fe_SegundSemana' AND '$Fe_TercerSemana'");
	if (mysql_numrows($sql_FRS2)==0) echo "";
	else{
	$registro_FRS2=mysql_fetch_array($sql_FRS2);
	}
	if (mysql_numrows($sql_FRS2)>0)
	{
	$TotRecSem2_FRS2=$registro_FRS2["Recibo_S2"];
	}
	
	if ($TotRecSem2_FRS2 == "")
		{
			$TotRecSem2_FRS2="0";
		}

	///Guardar Registros
	$sql_GuFRS2 = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
	values('Recibo','2','$Fe_SegundSemana - $Fe_TercerSemana','$TotRecSem2_FRS2','$UsuEn','$Fecha','$HoraOK')");
			
////Calcular Recibo de Semana 1

$sql_FRS1 = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Recibo_S1 FROM tabla_documentos INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_documentos.no_documento ) WHERE tabla_documentos.ESTADO_DOCUMENTO =  'CERRADO' AND tabla_documentos.CVE_CUENTA='$CveCueCR1' AND FECHA_CIE Between '$Fe_PrimerSemana' AND '$Fe_SegundSemana'");
	if (mysql_numrows($sql_FRS1)==0) echo "";
	else{
	$registro_FRS1=mysql_fetch_array($sql_FRS1);
	}
	if (mysql_numrows($sql_FRS1)>0)
	{
	$TotRecSem1_FRS1=$registro_FRS1["Recibo_S1"];
	}
	
	if ($TotRecSem1_FRS1 == "")
		{
			$TotRecSem1_FRS1="0";
		}

	///Guardar Registros
	$sql_GuFRS1 = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
	values('Recibo','1','$Fe_PrimerSemana - $Fe_SegundSemana','$TotRecSem1_FRS1','$UsuEn','$Fecha','$HoraOK')");
	
///++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

////Calcular Surtido de Semana 4
	$sql_FSS4 = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Surtido_S4 FROM tabla_docsurtido INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_docsurtido.no_documento )  WHERE tabla_docsurtido.EDO_DOCUMENTO =  'CERRADO' AND tabla_docsurtido.CVE_CUENTA='$CveCueCR1' AND FECHA_CIERRE Between '$Fe_CuartaSemana' AND '$Fecha'");
	if (mysql_numrows($sql_FSS4)==0) echo "";
	else{
	$registro_FSS4=mysql_fetch_array($sql_FSS4);
	}
	if (mysql_numrows($sql_FSS4)>0)
	{
	$TotSurSem4_FSS4=$registro_FSS4["Surtido_S4"];
	}
	
	if ($TotSurSem4_FSS4 == "")
		{
			$TotSurSem4_FSS4="0";
		}

	///Guardar Registros
	$sql_GuFSS4 = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
	values('Surtido','4','$Fe_CuartaSemana - $Fecha','$TotSurSem4_FSS4','$UsuEn','$Fecha','$HoraOK')");
	
////Calcular Surtido de Semana 3
	$sql_FSS3 = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Surtido_S3 FROM tabla_docsurtido INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_docsurtido.no_documento )  WHERE tabla_docsurtido.EDO_DOCUMENTO =  'CERRADO' AND tabla_docsurtido.CVE_CUENTA='$CveCueCR1' AND FECHA_CIERRE Between '$Fe_TercerSemana' AND '$Fe_CuartaSemana'");
	if (mysql_numrows($sql_FSS3)==0) echo "";
	else{
	$registro_FSS3=mysql_fetch_array($sql_FSS3);
	}
	if (mysql_numrows($sql_FSS3)>0)
	{
	$TotSurSem3_FSS3=$registro_FSS3["Surtido_S3"];
	}
	
	if ($TotSurSem3_FSS3 == "")
		{
			$TotSurSem3_FSS3="0";
		}

	///Guardar Registros
	$sql_GuFSS4 = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
	values('Surtido','3','$Fe_TercerSemana - $Fe_CuartaSemana','$TotSurSem3_FSS3','$UsuEn','$Fecha','$HoraOK')");
		
////Calcular Surtido de Semana 2
	$sql_FSS2 = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Surtido_S2 FROM tabla_docsurtido INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_docsurtido.no_documento )  WHERE tabla_docsurtido.EDO_DOCUMENTO =  'CERRADO' AND tabla_docsurtido.CVE_CUENTA='$CveCueCR1' AND FECHA_CIERRE Between '$Fe_SegundSemana' AND '$Fe_TercerSemana'");
	if (mysql_numrows($sql_FSS2)==0) echo "";
	else{
	$registro_FSS2=mysql_fetch_array($sql_FSS2);
	}
	if (mysql_numrows($sql_FSS2)>0)
	{
	$TotSurSem2_FSS2=$registro_FSS2["Surtido_S2"];
	}
	
	if ($TotSurSem2_FSS2 == "")
		{
			$TotSurSem2_FSS2="0";
		}

	///Guardar Registros
	$sql_GuFSS4 = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
	values('Surtido','2','$Fe_SegundSemana - $Fe_TercerSemana','$TotSurSem2_FSS2','$UsuEn','$Fecha','$HoraOK')");
			
////Calcular Surtido de Semana 1
	$sql_FSS1 = mysql_query("SELECT SUM( tabla_kardex.PIEZAS ) AS Surtido_S1 FROM tabla_docsurtido INNER JOIN tabla_kardex ON ( tabla_kardex.no_documento = tabla_docsurtido.no_documento )  WHERE tabla_docsurtido.EDO_DOCUMENTO =  'CERRADO' AND tabla_docsurtido.CVE_CUENTA='$CveCueCR1' AND FECHA_CIERRE Between '$Fe_PrimerSemana' AND '$Fe_SegundSemana'");
	if (mysql_numrows($sql_FSS1)==0) echo "";
	else{
	$registro_FSS1=mysql_fetch_array($sql_FSS1);
	}
	if (mysql_numrows($sql_FSS1)>0)
	{
	$TotSurSem1_FSS1=$registro_FSS1["Surtido_S1"];
	}
	
	if ($TotSurSem1_FSS1 == "")
		{
			$TotSurSem1_FSS1="0";
		}

	///Guardar Registros
	$sql_GuFSS4 = mysql_query("insert into dashboard_kpi10 (TIPOANALISIS,NUMERO_SEMANA,RANGO_FECHAS,PIEZAS,USUARIO_GEN,FECHA,HORA)
	values('Surtido','1','$Fe_PrimerSemana - $Fe_SegundSemana','$TotSurSem1_FSS1','$UsuEn','$Fecha','$HoraOK')");
	
	
///************************************************************************************************************************************
	
	echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=KPI_10_Exe-FlujodelInventario2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
?>

</body>
</html>

<?PHP
} ///Termina IF Vencimiento de Licencia
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>